<?php

class Genre
{
    public static $VALUES;
    public static $UNKNOWN_GENRE_VALUE;
    public static $BY_POSITION;
    public static $ENABLED_IN_MDB;

    public static function static_init()
    {
        self::$VALUES = array(
            "Аниме" => "genre_anime",
            "Anime" => "genre_anime",

            "Биография" => "genre_biography",
            "Biography" => "genre_biography",

            "Боевик" => "genre_action",
            "Action" => "genre_action",
            "Smash-hit" => "genre_action",

            "Вестерн" => "genre_western",
            "Western" => "genre_western",

            "Военный" => "genre_military",
            "Military" => "genre_military",

            "Детектив" => "genre_detective",
            "Detective" => "genre_detective",

            "Детский" => "genre_children_s",
            "Children's" => "genre_children_s",

            "Для взрослых" => "genre_for_adults",
            "For adults" => "genre_for_adults",

            "Документальный" => "genre_documentary",
            "Documentary" => "genre_documentary",

            "Драма" => "genre_drama",
            "Drama" => "genre_drama",

            "Игра" => "genre_game",
            "Game" => "genre_game",

            "История" => "genre_history",
            "History" => "genre_history",

            "Комедия" => "genre_comedy",
            "Comedy" => "genre_comedy",

            "Концерт" => "genre_concert",
            "Concert" => "genre_concert",

            "Короткометражка" => "genre_short",
            "Short" => "genre_short",

            "Криминал" => "genre_crime",
            "Crime" => "genre_crime",

            "Мелодрама" => "genre_melodrama",
            "Melodrama" => "genre_melodrama",

            "Музыка" => "genre_music",
            "Music" => "genre_music",

            "Мультфильм" => "genre_cartoon",
            "Cartoon" => "genre_cartoon",

            "Мюзикл" => "genre_musical",
            "Musical" => "genre_musical",

            "Новости" => "genre_news",
            "News" => "genre_news",

            "Приключения" => "genre_adventure",
            "Adventure" => "genre_adventure",

            "Реальное" => "genre_reality_tv",
            "Реальное ТВ" => "genre_reality_tv",
            "Реалити-шоу" => "genre_reality_tv",
            "Real" => "genre_reality_tv",
            "Reality TV" => "genre_reality_tv",

            "Семейный" => "genre_family",
            "Family" => "genre_family",

            "Спорт" => "genre_sport",
            "Sport" => "genre_sport",

            "Ток-шоу" => "genre_talk_show",
            "Talk show" => "genre_talk_show",

            "Триллер" => "genre_thriller",
            "Thriller" => "genre_thriller",

            "Ужасы" => "genre_horror",
            "Horror" => "genre_horror",

            "Фантастика" => "genre_fantastic",
            "Fantastic" => "genre_fantastic",

            "Фильм-нуар" => "genre_film_noir",
            "Film-Noir" => "genre_film_noir",

            "Фэнтези" => "genre_fantasy",
            "Fantasy" => "genre_fantasy",

            "Другое" => "genre_other",
            "Other" => "genre_other",
        );

        self::$UNKNOWN_GENRE_VALUE = self::$VALUES["Other"];

        self::$BY_POSITION = array(
            "genre_comedy",
            "genre_fantastic",
            "genre_fantasy",

            "genre_action",
            "genre_adventure",
            "genre_thriller",

            "genre_melodrama",
            "genre_drama",
            "genre_family",

            "genre_horror",
            "genre_detective",
            "genre_western",

            "genre_anime",
            "genre_cartoon",
            "genre_sport",

            "genre_musical",
            "genre_documentary",
            "genre_film_noir",

            "genre_crime",
            "genre_biography",
            "genre_military",

            "genre_concert",
            "genre_music",
            "genre_history",

            "genre_children_s",
            "genre_game",
            "genre_short",

            "genre_news",
            "genre_talk_show",
            "genre_reality_tv",

            "genre_for_adults",
            "genre_other",
        );

        self::$ENABLED_IN_MDB = array(
            "genre_comedy",
            "genre_fantastic",
            "genre_fantasy",

            "genre_action",
            "genre_adventure",
            "genre_thriller",

            "genre_melodrama",
            "genre_drama",
            "genre_family",

            "genre_horror",
            "genre_detective",
            "genre_western",

            "genre_anime",
            "genre_cartoon",
            "genre_sport",

            "genre_musical",
            "genre_documentary",
            "genre_film_noir",

            "genre_crime",
            "genre_biography",
            "genre_military",
        );
    }
}

?>
